# cancel a payment

Endpoint responsible for canceling a payment on the request of a merchant.
The caller has to be one of the participants of the payment.
A payment can be cancelled only if has the status in PENDING or IDENTIFIED.
When a payment is cancelled the status will be set to CANCELLED.

The token neccessary to call this endpoint as a merchant has to have:
- subjectType : INTEGRATOR or MERCHANT
- authority: MERCHANT_PAYMENT
- resourceType : PAYMENTPROFILE

Endpoint: DELETE /v3/payments/{id}
Version: 3.6.5
Security: api_key_payment_profile, JWS-Request-Signature-Payment

## Path parameters:

  - `id` (string, required)

## Response 401 fields (application/json):

  - `code` (string, required)

  - `message` (string, required)

  - `traceId` (string, required)
    id that is assigned to a single request, job, or action

  - `spanId` (string, required)
    id of the work unit where the error occured

## Response 403 fields (application/json):

  - `code` (string, required)

  - `message` (string, required)

  - `traceId` (string, required)
    id that is assigned to a single request, job, or action

  - `spanId` (string, required)
    id of the work unit where the error occured

## Response 404 fields (application/json):

  - `code` (string, required)

  - `message` (string, required)

  - `traceId` (string, required)
    id that is assigned to a single request, job, or action

  - `spanId` (string, required)
    id of the work unit where the error occured

## Response 422 fields (application/json):

  - `code` (string, required)

  - `message` (string, required)

  - `traceId` (string, required)
    id that is assigned to a single request, job, or action

  - `spanId` (string, required)
    id of the work unit where the error occured

## Response 500 fields (application/json):

  - `code` (string, required)

  - `message` (string, required)

  - `traceId` (string, required)
    id that is assigned to a single request, job, or action

  - `spanId` (string, required)
    id of the work unit where the error occured


## Response 204 fields

## Response 429 fields

## Response 503 fields
